module sd0(in, out); 
	 input in; 
	 output out; 
	 wire w0 /* synthesis keep */; 
	 wire w1 /* synthesis keep */; 
	 wire w2 /* synthesis keep */; 
	 wire w3 /* synthesis keep */; 
	 wire w4 /* synthesis keep */; 
	 wire w5 /* synthesis keep */; 
	 NOT d0 (.in1(in), .out(w0)); 
	 NOT d1 (.in1(w0), .out(w1)); 
	 NOT d2 (.in1(w1), .out(w2)); 
	 NOT d3 (.in1(w2), .out(w3)); 
	 NOT d4 (.in1(w3), .out(w4)); 
	 NOT d5 (.in1(w4), .out(w5));
	 LCELL d6 (.in(w5), .out(out)); 
endmodule

module sd1(in, out); 
	 input in; 
	 output out; 
	 wire w0 /* synthesis keep */; 
	 wire w1 /* synthesis keep */; 
	 wire w2 /* synthesis keep */; 
	 wire w3 /* synthesis keep */; 
	 wire w4 /* synthesis keep */; 
	 wire w5 /* synthesis keep */; 
	 wire w6 /* synthesis keep */; 
	 wire w7 /* synthesis keep */;
	 wire w8 /* synthesis keep */; 
	 wire w9 /* synthesis keep */; 
	 wire w10 /* synthesis keep */; 
	 wire w11 /* synthesis keep */; 
	 wire w12 /* synthesis keep */; 
	 wire w13 /* synthesis keep */; 
	 wire w14 /* synthesis keep */; 
	 wire w15 /* synthesis keep */; 	 	 
	 NOT d0 (.in1(in), .out(w0)); 
	 NOT d1 (.in1(w0), .out(w1)); 
	 NOT d2 (.in1(w1), .out(w2)); 
	 NOT d3 (.in1(w2), .out(w3)); 
	 NOT d4 (.in1(w3), .out(w4)); 
	 NOT d5 (.in1(w4), .out(w5));
	 NOT d6 (.in1(w5), .out(w6)); 
	 NOT d7 (.in1(w6), .out(w7));
	 NOT d8 (.in1(w7), .out(w8)); 
	 NOT d9 (.in1(w8), .out(w9)); 
	 NOT d10 (.in1(w9), .out(w10)); 
	 NOT d11 (.in1(w10), .out(w11)); 
	 NOT d12 (.in1(w11), .out(w12)); 
	 NOT d13 (.in1(w12), .out(w13));
	 NOT d14 (.in1(w13), .out(w14)); 
	 NOT d15 (.in1(w14), .out(w15)); 
	 LCELL d16 (.in(w15), .out(out)); 
endmodule 

module sd2(in, out); 
	 input in; 
	 output out; 
	 wire w0 /* synthesis keep */; 
	 wire w1 /* synthesis keep */; 
	 wire w2 /* synthesis keep */; 
	 wire w3 /* synthesis keep */; 
	 wire w4 /* synthesis keep */; 
	 wire w5 /* synthesis keep */; 
	 wire w6 /* synthesis keep */; 
	 wire w7 /* synthesis keep */;
	 wire w8 /* synthesis keep */; 
	 wire w9 /* synthesis keep */; 
	 wire w10 /* synthesis keep */; 
	 wire w11 /* synthesis keep */; 
	 wire w12 /* synthesis keep */; 
	 wire w13 /* synthesis keep */; 
	 wire w14 /* synthesis keep */; 
	 wire w15 /* synthesis keep */; 	 
	 wire w16 /* synthesis keep */; 
	 wire w17 /* synthesis keep */; 
	 wire w18 /* synthesis keep */;  
	 NOT d0 (.in1(in), .out(w0)); 
	 NOT d1 (.in1(w0), .out(w1)); 
	 NOT d2 (.in1(w1), .out(w2)); 
	 NOT d3 (.in1(w2), .out(w3)); 
	 NOT d4 (.in1(w3), .out(w4)); 
	 NOT d5 (.in1(w4), .out(w5));
	 NOT d6 (.in1(w5), .out(w6)); 
	 NOT d7 (.in1(w6), .out(w7));
	 NOT d8 (.in1(w7), .out(w8)); 
	 NOT d9 (.in1(w8), .out(w9)); 
	 NOT d10 (.in1(w9), .out(w10)); 
	 NOT d11 (.in1(w10), .out(w11)); 
	 NOT d12 (.in1(w11), .out(w12)); 
	 NOT d13 (.in1(w12), .out(w13));
	 NOT d14 (.in1(w13), .out(w14)); 
	 NOT d15 (.in1(w14), .out(w15)); 
	 NOT d16 (.in1(w15), .out(w16)); 
	 NOT d17 (.in1(w16), .out(w17)); 
	 NOT d18 (.in1(w17), .out(w18)); 
	 NOT d19 (.in1(w18), .out(out)); 
endmodule 

module sd3(in, out); 
	 input in; 
	 output out; 
	 wire w0 /* synthesis keep */; 
	 wire w1 /* synthesis keep */; 
	 wire w2 /* synthesis keep */; 
	 wire w3 /* synthesis keep */; 
	 wire w4 /* synthesis keep */; 
	 wire w5 /* synthesis keep */; 	 
	 NOT d0 (.in1(in), .out(w0)); 
	 NOT d1 (.in1(w0), .out(w1)); 
	 NOT d2 (.in1(w1), .out(w2)); 
	 NOT d3 (.in1(w2), .out(w3)); 
	 NOT d4 (.in1(w3), .out(w4)); 
	 NOT d5 (.in1(w4), .out(w5));
	 LCELL d6 (.in(w5), .out(out)); 
endmodule 

module sd4(in, out); 
	 input in; 
	 output out; 
	 wire w0 /* synthesis keep */; 
	 wire w1 /* synthesis keep */; 
	 wire w2 /* synthesis keep */; 
	 wire w3 /* synthesis keep */; 
	 wire w4 /* synthesis keep */; 
	 wire w5 /* synthesis keep */;  	 
	 NOT d0 (.in1(in), .out(w0)); 
	 NOT d1 (.in1(w0), .out(w1)); 
	 NOT d2 (.in1(w1), .out(w2)); 
	 NOT d3 (.in1(w2), .out(w3)); 
	 NOT d4 (.in1(w3), .out(w4)); 
	 NOT d5 (.in1(w4), .out(w5));
	 LCELL d6 (.in(w5), .out(out)); 
endmodule 
